'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var Context = require('../Context.js');

/* ----------------------- useScoper ----------------------- */
// This hook will return a scoper function!
function useScoper() {
  var scope = React.useContext(Context.ScopeContext);
  var scoper = React.useCallback(function (name) {
    // Example
    // scope = "friends[0]"
    // name  = "friends[0]"
    // return "friends[0]"
    if (scope === name) {
      return name;
    }

    // Example
    // scope = "friends[0]"
    // name  = "name"
    // return "friends[0].name"
    if (scope && name) {
      return "".concat(scope, ".").concat(name);
    }
    return name;
  }, [scope]);
  return scoper;
}

exports.useScoper = useScoper;
